glab(1)

NAME
glab-cluster-agent-list - List GitLab Agents for Kubernetes in a project.

SYNOPSIS
glab cluster agent list [flags]

DESCRIPTION
Defaults to the current project. Use --output json for JSON output.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # List agents in the current project
    glab cluster agent list
    # List agents in JSON format
    glab cluster agent list --output json

SEE ALSO
glab-cluster-agent(1)